## List devices (deprecated) `client.zeroTrust.devices.list(DeviceListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/devices` List WARP devices. Not supported when [multi-user mode](https://developers.cloudflare.com/cloudflare-one/connections/connect-devices/warp/deployment/mdm-deployment/windows-multiuser/) is enabled for the account. **Deprecated**: please use one of the following endpoints instead: - GET /accounts/{account_id}/devices/physical-devices - GET /accounts/{account_id}/devices/registrations ### Parameters - `params: DeviceListParams` - `account_id: string` ### Returns - `Device` - `id?: string` Registration ID. Equal to Device ID except for accounts which enabled [multi-user mode](https://developers.cloudflare.com/cloudflare-one/connections/connect-devices/warp/deployment/mdm-deployment/windows-multiuser/). - `created?: string` When the device was created. - `deleted?: boolean` True if the device was deleted. - `device_type?: "windows" | "mac" | "linux" | 3 more` - `"windows"` - `"mac"` - `"linux"` - `"android"` - `"ios"` - `"chromeos"` - `ip?: string` IPv4 or IPv6 address. - `key?: string` The device's public key. - `last_seen?: string` When the device last connected to Cloudflare services. - `mac_address?: string` The device mac address. - `manufacturer?: string` The device manufacturer name. - `model?: string` The device model name. - `name?: string` The device name. - `os_distro_name?: string` The Linux distro name. - `os_distro_revision?: string` The Linux distro revision. - `os_version?: string` The operating system version. - `os_version_extra?: string` Additional operating system version details. For Windows, the UBR (Update Build Revision). For Mac or iOS, the Product Version Extra. For Linux, the distribution name and version. - `revoked_at?: string` When the device was revoked. - `serial_number?: string` The device serial number. - `updated?: string` When the device was updated. - `user?: User` - `id?: string` UUID. - `email?: string` The contact email address of the user. - `name?: string` The enrolled device user's name. - `version?: string` The WARP client version. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const device of client.zeroTrust.devices.list({ account_id: '699d98642c564d2e855e9661899b7252', })) { console.log(device.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2017-06-14T00:00:00Z", "deleted": true, "device_type": "windows", "ip": "1.1.1.1", "key": "yek0SUYoOQ10vMGsIYAevozXUQpQtNFJFfFGqER/BGc=", "last_seen": "2017-06-14T00:00:00Z", "mac_address": "00-00-5E-00-53-00", "manufacturer": "My phone corp", "model": "MyPhone(pro-X)", "name": "My mobile device", "os_distro_name": "ubuntu", "os_distro_revision": "1.0.0", "os_version": "10.0.0", "os_version_extra": "(a) or 6889 or Ubuntu 24.04", "revoked_at": "2017-06-14T00:00:00Z", "serial_number": "EXAMPLEHMD6R", "updated": "2017-06-14T00:00:00Z", "user": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "email": "user@example.com", "name": "John Appleseed" }, "version": "1.0.0" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```